Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040565
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-04-09 21:082019-05-21 15:16
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionb45635db7349
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040565: SelectorFieldPropertyCallout.execute is not using bind-variables

DescriptionThis code is not using bind-params:

      final Table propertyTable = OBDal.getInstance()
          .createQuery(Table.class, Table.PROPERTY_ID + "='" + tableId + "'")
          .list()
          .get(0);
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111075)
hgbot (developer)
2019-04-11 08:44

Repository: erp/devel/pi
Changeset: b45635db7349ae3bc4c0bca78aea97915336df56
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 11 08:40:44 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b45635db7349ae3bc4c0bca78aea97915336df56 [^]

fixed issue 40565: SelectorFieldPropertyCallout.execute is not using bind-variables

  No need to query for table by id, getting a proxy is enough.

---
M modules/org.openbravo.userinterface.selector/src/org/openbravo/userinterface/selector/SelectorFieldPropertyCallout.java
---
(0111093)
caristu (developer)
2019-04-12 08:21

Reviewed
(0111969)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-09 21:08 shuehner New Issue
2019-04-09 21:08 shuehner Assigned To => platform
2019-04-09 21:08 shuehner Modules => Core
2019-04-09 21:08 shuehner Triggers an Emergency Pack => No
2019-04-09 21:08 shuehner Relationship added blocks 0038136
2019-04-11 08:41 alostale Assigned To platform => alostale
2019-04-11 08:42 alostale Review Assigned To => caristu
2019-04-11 08:44 hgbot Checkin
2019-04-11 08:44 hgbot Note Added: 0111075
2019-04-11 08:44 hgbot Status new => resolved
2019-04-11 08:44 hgbot Resolution open => fixed
2019-04-11 08:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b45635db7349ae3bc4c0bca78aea97915336df56 [^]
2019-04-12 08:21 caristu Note Added: 0111093
2019-04-12 08:21 caristu Status resolved => closed
2019-04-12 08:21 caristu Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111969


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker